function [Map,X,Y,Z]=SimSonic3DReadMap3D(FileName);

%
% SIMSONIC3DREADMAP3D reads .map3D geometry file
%
%   [MAP,N1,N2,N3] = SIMSONIC3DREADMAP3D(FILENAME) returns
%   MAP as a uint8 matrix with size(Map)=[N1 N2 N3];
%
%   SimSonic3D toolbox
%   Author: Emmanuel Bossy
%   Date: 2012/11/19

fid=fopen(FileName,'rb');
X = fread(fid,1,'int');
Y = fread (fid,1,'int');
Z = fread (fid,1,'int');
Map = uint8(fread(fid,'uchar'));

fclose(fid);

Map=reshape(Map,Z,Y,X);
Map=permute(Map,[3 2 1]);



