function SimSonic3DWriteMap3D(Map,FileName)


% SIMSONIC3DWRITEMAP3D writes .map3D geometry file from a matrix
%
%   SIMSONIC3DWRITEMAP3D(MAP) writes MAP into a file named "Geometry.map3D"
%   
%   MAP must be a uint8 matrix;
%   
%   SIMSONIC3DWRITEMAP3D(MAP,FILENAME) writes MAP into a file named using
%   FILENAME
%
%   SimSonic3D toolbox
%   Author: Emmanuel Bossy
%   Date: 2012/11/19

if nargin==1
    FileName='Geometry.map3D';
end

if ~isa(Map,'uint8')
    error('geometry file must be of uint8...');
end

[X,Y,Z]=size(Map);

Map=permute(Map,[3 2 1]);

fid=fopen(FileName,'w+b');
fwrite(fid,X,'int');
fwrite(fid,Y,'int');
fwrite(fid,Z,'int');
fwrite(fid,Map,'uchar');
fclose(fid);




