function SimSonic3DWriteRcv3D(Array,FileName)

% SIMSONIC3DWRITERCV3D writes RF-signals to formatted array file. The
% format is that of .rcv3D files.
%  
%   SIMSONIC3DWRITERCV3D(ARRAY,FILENAME) writes the content of structure
%   ARRAY to FileName. Array must have the following fields:
%   Normal, X1_start, X2_start, X3_start,NbEltsJ, NbEltsK, WidthJ,
%   WidthK,PitchJ,PitchK,Spatial_step_mm,Temporal_step_us,
%   Signals
%
%   The size of ARRAY.SIGNALS must be (NbTimePoints,NbEltsJ,NbEltsK)
%
%   IMPORTANT: ARRAY.NORMAL must be a char, i.e. '1' and not 1 
%
%   SimSonic3D toolbox
%   Author: Emmanuel Bossy
%   Date: 2012/11/20

fid=fopen([FileName],'wb');

fwrite(fid,Array.Normal,'char');
fwrite(fid,size(Array.Signals,2),'int');
fwrite(fid,size(Array.Signals,3),'int');
fwrite(fid,Array.X1_start,'int');
fwrite(fid,Array.X2_start,'int');
fwrite(fid,Array.X3_start,'int');
fwrite(fid,Array.PitchJ,'int');
fwrite(fid,Array.PitchK,'int');
fwrite(fid,Array.WidthJ,'int');
fwrite(fid,Array.WidthK,'int');
fwrite(fid,Array.Spatial_step_mm,'double');
fwrite(fid,size(Array.Signals,1),'int');
fwrite(fid,Array.Temporal_step_us,'double');

Array.Signals=permute(Array.Signals,[1 3 2]);

fwrite(fid,Array.Signals,'double');

fclose(fid);



